<?php
#Example of a locally Customized subclass of SimpleCAS

require_once('libs/SimpleCAS/SimpleCAS.inc');

class SimpleCAS_Local extends SimpleCAS
{
	function _defaultSettings()
	#Default things to proper settings for UMD CAS server on Glue, then 
	#call parent defaultSettings
	#	casVersion defaults to SCAS_CAS_2_0
	#	casServer defaults to login.my.org
	#	casPort defaults to 443
	#	casPath defaults to cas
	#	casCAPath defaults to /local/ssl/certs
	#	casVerifyPeer defaults to TRUE
	#	casVerifyHost defaults to 2 (check cert name matches server)
	{	if (! IsSet($this->casVersion) )
		{	$this->casVersion = SCAS_CAS_2_0;
		}
		if (! IsSet($this->casServer) )
		{	$this->casServer = 'login.my.org';
		}
		if (! IsSet($this->casPort) )
		{	$this->casPort = 443;
		}
		if (! IsSet($this->casPath) )
		{	$this->casPath = 'cas';
		}
		if (! IsSet($this->casCAPath) )
		{	$this->casCAPath = '/local/ssl/certs';
		}
		if (! IsSet($this->casVerifyPeer) )
		{	$this->casVerifyPeer = TRUE;
		}
		if (! IsSet($this->casVerifyHost) )
		{	$this->casVerifyHost = 2;
		}

		#Get defaults from parent class as well
		SimpleCAS::_defaultSettings();
	}
}
?>
