<?php

//
// SimpleCAS: More complicated example
//

error_reporting(E_ALL);

// import our locally subclassed SimpleCAS lib
include_once('libs/SimpleCAS/SimpleCAS_Local.inc');

$cas = new SimpleCAS_Local(
	array(	'doNotAutoAuthenticate'=>TRUE,
		'authInfoExpiry' => 900, #900 seconds = 15 minutes
		'forceExpiry' => 60 #60 seconds = 1 minutes
		)
	);

$secrecy_level ='';
if ( IsSet($_SESSION['secrecy_level']) )
{	$secrecy_level = $_SESSION['secrecy_level'];
}
$cas->debug("secrecy level from session is $secrecy_level");
if ( IsSet($_GET['level'] ) )
{	$secrecy_level = $_GET['level'];
	$cas->debug("secrecy level set from GET to  $secrecy_level");
}
if ( ! IsSet($secrecy_level) )
{	$secrecy_level = 'public';
	$cas->debug("secrecy level defaulting to  $secrecy_level");
}
$user='';
$_SESSION['secrecy_level'] = $secrecy_level;

switch($secrecy_level)
{  case 'public': 
	$user = $cas->authenticate_optional();
	break;
   case 'secret':
	$user = $cas->authenticate_normal();
	if ( ! $user ) { die("Should not reach here"); }
	break;
   case 'topsecret':
	$user = $cas->authenticate_forced();
	if ( ! $user ) { die("Should not reach here"); }
	if ( $user != 'jamesbond' )
	{	$secrecy_level = 'unauth';
	}
	break;
   case 'unforce':
	$cas->logoutForcedPrivs();
	$user = $cas->authenticate_normal();
	if ( ! $user ) { die("Should not reach here"); }
	break;
   case 'logoutCAS':
	$cas->logoutCAS();
   case 'logout':
	$cas->logoutSession();
	$user='';
	break;
   default: #Treat as public
	$user = $cas->authenticate_optional();
	break;
	
}
$forced = $cas->is_authinfo_valid(TRUE);
if ( $user != 'jamesbond' )
{	$forced = FALSE;
}

?>
<html>
<head>
<title>SimpleCAS test script</title>
</head>
<body>

<h1>SimpleCAS test page</h1>

<?php
	if ( $user )
	{
?>
<p>Welcome.  You are logged in as <?= htmlentities($user) ?>.
<?php
		if ($forced)
		{
?>
&nbsp; <em>Top Secret mode</em>
<?php		}
	} else
	{
?>
<p>Hello.  You are not logged in.
<?php	}
?>
<br>Session id is <?= session_id(); ?>
<br>Session name is <?= session_name(); ?>
<br>

<ul>
<li>This information is publicly available.

<?php
	if ( $user )
	{
?>
<li>This information is <em>secret</em>.
<?php
		if ( $forced )
		{
?>
<li>This information is <strong>TOP SECRET</strong>
<?php		}
		if ( $secrecy_level == 'unauth' )
		{
?>
<li>You must have a double 0 (00) rating to view the top secret information.  
<?php		}
	}
?>
</ul>

<ul>
<?php
	$myurl = htmlentities($_SERVER['PHP_SELF']);
	if ( $user )
	{	$logoutURL = "$myurl?level=logout";
?>
<li><a href="<?= $logoutURL ?>">Log out</a>
<?php
		$logoutURL = "$myurl?level=logoutCAS";
?>
<li><a href=<?= $logoutURL ?>">Log out and kill TGT cookie
<?php
		if ( $forced )
		{	$logoutURL = "$myurl?level=unforce";
?>
<li><a href="<?= $logoutURL ?>">Relinquish top secret privileges</a>
<?php		}
	}

	if ( ! $forced )
	{	if ( ! $user )
		{	$loginURL = "$myurl?level=secret";
?>
<li><a href="<?= $loginURL ?>">Log in</a>
<?php
		}
		$loginURL = "$myurl?level=topsecret";
?>
<li><a href="<?= $loginURL ?>">Log in with top secret privileges</a>
<?php	}
?>
<li><a href="<?= $myurl ?>">Revisit this page</a>
</ul>
</body>
</html>
